package gc.mda.kcg.master;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.Optional;

public interface VesselPermitRepository extends JpaRepository<VesselPermit, String> {

    Page<VesselPermit> findByFlagCountry(String flagCountry, Pageable pageable);

    Page<VesselPermit> findByPermitStatus(String permitStatus, Pageable pageable);

    Optional<VesselPermit> findByMmsi(String mmsi);
}
